Bug 293951 - istanbul missing dependency
istanbul missing dependency
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: istanbul (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-17 16:37 EDT by Stuart Jansen
Modified: 2009-01-08 23:53 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:53:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stuart Jansen 2007-09-17 16:37:46 EDT
Description of problem:
istanbul is missing a dependency, not sure what it is missing, yum doesn't help

Version-Release number of selected component (if applicable):
$ rpm -q istanbul
istanbul-0.2.2-4.fc8

Steps to Reproduce:
$ istanbul 
Traceback (most recent call last):
  File "/usr/bin/istanbul", line 30, in <module>
    from istanbul.main import main
  File "/usr/lib/python2.5/site-packages/istanbul/main/main.py", line 32, in
<module>
    from istanbul.main.save_window import SaveWindow
  File "/usr/lib/python2.5/site-packages/istanbul/main/save_window.py", line 26,
in <module>
    import pygst
ImportError: No module named pygst
Comment 1 Stuart Jansen 2007-09-17 16:41:24 EDT
Looks like it depends on gstreamer-python. Now I have a new problem, looks like
a dependency on python-xlib should be added too:

$ istanbul 
Traceback (most recent call last):
  File "/usr/bin/istanbul", line 30, in <module>
    from istanbul.main import main
  File "/usr/lib/python2.5/site-packages/istanbul/main/main.py", line 34, in
<module>
    from istanbul.main.window_select import WindowSelector
  File "/usr/lib/python2.5/site-packages/istanbul/main/window_select.py", line
15, in <module>
    import Xlib.X as X
ImportError: No module named Xlib.X
Comment 2 Jef Spaleta 2007-09-18 13:03:38 EDT
Here's the funny thing.
the istanbul.spec for the development branch sitting in fedora cvs DOES have the
python-xlib requirement. 

Here is the block of explicit runtime requirements in the specfile.

Requires: pygtk2 >= %{pygtk2_version}
Requires: gnome-desktop >= 2.6.0
Requires: gstreamer >= %gstreamer_version
Requires: gstreamer-plugins-good >= %gstreamer_plugins_version
Requires: gstreamer-python
Requires: gnome-python2-libegg
Requires: gnome-python2-gconf
Requires: gnome-python2-extras
Requires: python-xlib


I won't get a chance to look at the binaries in the development tree until at
least Friday night. I'm not sure what's going on, perhaps a build system hiccup
associated with python modules.  In the meantime you could take the srpm from
the development tree and rebuild it locally in mock and see if locally built
versions have the same problem.


-jef
Comment 3 Stuart Jansen 2007-09-22 21:53:52 EDT
This bug can probably be closed. It appears to be a problem with either yum or
pirut. See https://bugzilla.redhat.com/show_bug.cgi?id=294071
Comment 4 Bug Zapper 2008-11-26 02:48:56 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-08 23:53:50 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.